<template>
	<div class="left__top--nine wow fadeInUp">
		<div class="nine__left">
			<p class="left__title">{{ $t('dashboard.referrals.title') }}</p>
			<p class="blueMoney">$ {{ total.toFixed(2) }}</p>
			<div class="boxUp">
				<svg>
					<use xlink:href="/img/sprite.svg#call-received-arrow"/>
				</svg>
				<p class="money-up">{{ latestAmount }}</p>
			</div>
			<ui-filter class="filterDay" :options="times" v-model="time" v-show="display"/>
		</div>
		<bar-chart v-show="display" :chart_data="chart_data" :is_currency="true" :range="time"/>
	</div>
</template>

<script>
import _ from 'lodash';
import BarChart from "./BarChart";
import currencies from "../../currencies";

export default {
	name: "ReferralPaymentsChart",
	props: {
		stats: {
			type: Object,
			default: function () {
				return {};
			}
		}
	},
	data() {
		return {
			times: {
				days: this.$t('ui.date_intervals.daily'),
				two_days: this.$t('ui.date_intervals.two_days'),
				weeks: this.$t('ui.date_intervals.weekly'),
				months: this.$t('ui.date_intervals.monthly')
			},
			time: 'days',
		}
	},
	computed: {
		total() {
			return this.stats.hasOwnProperty('total') ? Number.parseFloat(this.stats.total) : 0.00;
		},
		display() {
			return !!_.size(this.stats);
		},
		chart_data() {
			if (!this.stats.hasOwnProperty(this.time)) {
				console.log('time not exist');
				return [];
			}
			return _.map(this.stats[this.time], (value, key) => {
				return [key, value];
			});
		},
		latestAmount(){
			let amount;
			try{
				amount = this.chart_data[this.chart_data.length - 1][1];
				if(!amount){
					amount = 0;
				}
			}catch (e){
				amount = 0;
			}
			return currencies.formatInDefault(amount);
		}
	},
	methods: {
		setTime(time) {
			this.time = time;
		},
	},
	components: {
		BarChart
	}
}
</script>

<style scoped>
.echarts {
	flex-basis: calc(100% - 170px);
	height: 180px;
}

@media (max-width: 569px) {
	.echarts {
		flex-basis: auto;
		width: 100%;
	}
}
</style>
